GET
/affiliate_creator/202509/videos/{video_id}/status
Use this API to get shoppable video posting results.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”video_id
required
string
The video id from [Publish Shoppable Video]
Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
video
Returned video info
object
id
Video id
string
post_status
Video posting status. Possible values:
- SUCCESS: The video was posted successfully.
- FAIL: The video failed to post.
- PROCESSING: The video is still being processed. Call this API again later to get the latest status.
string
post_time
Returned if the video has been successfully posted, i.e. posting_status = SUCCESS.
Represented in seconds.
integer format: int64
Example
{ "code": 0, "data": { "video": { "id": "7493990579714164574", "post_status": "FAIL", "post_time": 1685548800 } }, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}